import { MConst } from "../MConst";
import ParticleMgr from "./ParticleMgr";
import Leg from "../Game/Leg";
import PlayerController from "../Game/PlayerController";

export default class GameMgr {
    private static _instance: GameMgr = null;
    public static get instance(): GameMgr {
        if (!this._instance) {
            this._instance = new GameMgr();
        }

        return this._instance;
    }

    public stage: egret.Stage = null;

    /**获取地线的世界坐标 */
    public get groundLineInGameStage() {
        return MConst.GroundLine;
    }

    public particleMgr: ParticleMgr = null;

    public playerController: PlayerController = null;

    public second: eui.Label = null;
}